21
Янв
2017

Как обновить JavaFX API?

Привет всем! Только начинаю знакомиться с JavaFX и обнаружил множество проблем связанных с ним. Во время сборки приложения в среде IDEA, в консоли выводится следующее предупреждение:

WARNING: Loading FXML document with JavaFX API of version 8.0.111 by JavaFX runtime of version 8.0.66

Потому что в самом коде я указал:

xmlns="http://javafx.com/javafx/8.0.111"

И если я поменяю его на:

xmlns="http://javafx.com/javafx/8.0.66"

то все работает, без всяких предупреждении.

Мой вопрос: "Правильно ли, то как я исправил этот Warning?" =)

И как я понял, JavaFX теперь находится в статусе Open Source и все его последующие обновления можно найти в http://openjdk.java.net/projects/openjfx/

Источник: https://ru.stackoverflow.com/questions/617651/%D0%9A%D0%B0%D0%BA-%D0%BE%D0%B1%D0%BD%D0%BE%D0%B2%D0%B8%D1%82%D1%8C-javafx-api

Тебе может это понравится...

Добавить комментарий